//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Base/Element/PolMatrices.cpp
//! @brief     Implements class PolarizerPair.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "Base/Element/PolMatrices.h"

#include <utility>

// corresponds to completely unpolarized beam and the absence of spin selection in the analyzer
PolMatrices::PolMatrices()
    : m_polarizer_matrix(Eigen::Matrix2cd::Identity() / 2.0)
    , m_analyzer_matrix(Eigen::Matrix2cd::Identity())
{
}

PolMatrices::PolMatrices(Eigen::Matrix2cd polarization, Eigen::Matrix2cd analyzer)
    : m_polarizer_matrix(std::move(polarization))
    , m_analyzer_matrix(std::move(analyzer))
{
}
