## BornAgain Python user reference {#mainpage}

<a href="http://www.bornagainproject.org">BornAgain</a> is
an open-source software to simulate and fit
neutron and x-ray reflectometry and grazing-incidence small-angle scattering.


The following structured list gives access to the documentation of
all classes and functions that are needed for steering BornAgain
through Python scripts.

### Top-level

* \ref simulation "Simulation"
* \ref fitting "Fitting"

### Instrument model

* \ref beam "Beam and footprint"
* \ref detector "Detector"
  * \ref mask "Detector masks"
* \ref background "Background"

### Sample model

* \ref materials "Materials"
* \ref samples "Multilayer"
* Distribution, decay, and interference functions
  * \ref interference "Interference functions"
  * \ref distributionFT  "Profiles"
* \ref formfactors "Form factors"
  * \ref hardParticle "Hard particles"
  * \ref softParticle "Soft particles"
  * \ref legacyGrating "Ripples"
* \ref standard_samples "Standard samples"

### Data and parameters

* \ref input_output "Input and output"
* \ref tools "Intensity tools" TODO: Sort differently
* \ref paramDistribution "Parameter distributions"

### See also

* <https://bornagainproject.org>, project homepage;
* <https://github.com/scgmlz/BornAgain>, source repository;

### License

[GNU General Public License v3 or higher](https://github.com/scgmlz/BornAgain/blob/master/COPYING)

Copyright Forschungszentrum Jülich GmbH 2015-


### Authors

Scientific Computing Group at MLZ Garching.

See file [AUTHORS](https://github.com/scgmlz/BornAgain/blob/master/AUTHORS).

### Citation

See file [CITATION](https://github.com/scgmlz/BornAgain/blob/master/CITATION).
