//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Sample/MultiLayerItems.h
//! @brief     Defines class MultiLayerItems
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_SAMPLE_MULTILAYERITEMS_H
#define BORNAGAIN_GUI_MODEL_SAMPLE_MULTILAYERITEMS_H

#include <QVector>

class MultiLayerItem;
class Streamer;

//! Main model to hold sample items.

class MultiLayerItems {
public:
    ~MultiLayerItems();
    QVector<MultiLayerItem*> multiLayerItems() const;

    //! Adds a multilayer and returns the new item.
    MultiLayerItem* addMultiLayer();
    void addMultiLayer(MultiLayerItem* multilayer);
    void removeMultiLayer(MultiLayerItem* multilayer);

    QStringList multiLayerNames() const;

    void serialize(Streamer& s);

private:
    QVector<MultiLayerItem*> m_multiLayers;
};

#endif // BORNAGAIN_GUI_MODEL_SAMPLE_MULTILAYERITEMS_H
