//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/To/ToDomain.h
//! @brief     Defines namespace GUI::Transform::ToDomain
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_TO_TODOMAIN_H
#define BORNAGAIN_GUI_MODEL_TO_TODOMAIN_H

#include <memory>
#include <variant>

class LayerItem;
class MultiLayerItem;
class MultiLayer;
class LayerBasicRoughnessItem;
class LayerRoughness;

namespace GUI::Transform::ToDomain {

std::unique_ptr<LayerRoughness> createLayerRoughness(LayerBasicRoughnessItem* roughness);

std::unique_ptr<MultiLayer> buildMultiLayer(const MultiLayerItem& item);


} // namespace GUI::Transform::ToDomain

#endif // BORNAGAIN_GUI_MODEL_TO_TODOMAIN_H
