//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/FootprintCorrectionEditor.h
//! @brief     Defines class FootprintCorrectionEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_FOOTPRINTCORRECTIONEDITOR_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_FOOTPRINTCORRECTIONEDITOR_H

#include <QWidget>

class SpecularBeamItem;
class QFormLayout;

//! FootprintCorrection editor (i.e. background) for instrument editors.
//! Operates on InstrumentItem.

class FootprintCorrectionEditor : public QWidget {
    Q_OBJECT

public:
    FootprintCorrectionEditor(QWidget* parent, SpecularBeamItem* item);

signals:
    void dataChanged();

private:
    void createFootprintWidgets();

private:
    QFormLayout* m_formLayout;
    SpecularBeamItem* m_item;
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_FOOTPRINTCORRECTIONEDITOR_H
