//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/OffSpecularBeamEditor.h
//! @brief     Defines class OffSpecularBeamEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARBEAMEDITOR_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARBEAMEDITOR_H

#include <QGroupBox>

class OffSpecularInstrumentItem;

//! Off-specular beam editor. Operates on OffSpecularInstrumentItem

class OffSpecularBeamEditor : public QGroupBox {
    Q_OBJECT

public:
    OffSpecularBeamEditor(QWidget* parent, OffSpecularInstrumentItem* item);

signals:
    void dataChanged();
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECULARBEAMEDITOR_H
