//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/Particle/IReParticle.cpp
//! @brief     Implements interface class IReParticle.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "Resample/Particle/IReParticle.h"
#include "Base/Vector/WavevectorInfo.h"
#include <memory>

Eigen::Matrix2cd IReParticle::thePolFF(const WavevectorInfo&) const
{
    // Throws to prevent unanticipated behaviour
    throw std::runtime_error("IReParticle::evaluatePol: is not implemented by default");
}

double IReParticle::volume() const
{
    auto zero_wavevectors = WavevectorInfo::makeZeroQ();
    return std::abs(theFF(zero_wavevectors));
}
