//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/HardParticle/FormFactorDodecahedron.cpp
//! @brief     Implements class FormFactorDodecahedron.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "Sample/HardParticle/FormFactorDodecahedron.h"
#include <ff/Platonic.h>

FormFactorDodecahedron::FormFactorDodecahedron(const std::vector<double> P)
    : IFormFactorPolyhedron(P)
    , m_edge(m_P[0])
{
    checkNodeArgs();
    setPolyhedron(ff::platonic::Dodecahedron::topology(), -1.113516364411607 * m_edge,
                  ff::platonic::Dodecahedron::vertices(m_edge));
    assert_platonic();
}

FormFactorDodecahedron::FormFactorDodecahedron(double edge)
    : FormFactorDodecahedron(std::vector<double>{edge})
{
}
