+++
title = "Spheres on Hexagonal Lattice"
weight = 50
+++

### Spheres on Hexagonal Lattice

Scattering from spheres in a hexagonal lattice.

* The sample is made of spherical particles with radii of $10$ nm deposited on a substrate
and positioned in a hexagonal lattice.
* This two-dimensional lattice is characterized by a lattice length of $20$ nm. Its a-axis coincides with the x-axis of the reference Cartesian frame.
* The wavelength is equal to $1$ $\unicode{x212B}$.
* The incident angles are $\alpha\_i = 0.2 ^{\circ}$ and $\varphi\_i = 0^{\circ}$.

{{< galleryscg >}}
{{< figscg src="SpheresAtHexLattice_setup.jpg" width="350px" caption="Real-space model">}}
{{< figscg src="/files/simulated/SpheresAtHexLattice.png" width="350px" caption="Intensity image">}}
{{< /galleryscg >}}

{{< highlightfile file="/static/files/python/simulation/ex03_Interferences/SpheresAtHexLattice.py" language="python" >}}
