+++
title = "TOF reflectometry"
weight = 30
+++

## Time-of-flight reflectometry

This short tutorial quickly illustrates the setup of a
time-of-flight (TOF) reflectometry simulated experiment.

Setting up a TOF simulation boils down to specifying the range of values
spanned by the $q_z$ vector, rather than the range spanned by the angle $\theta$ of the beam:

``` python
    qzs = np.linspace(0.01, 1.0, scan_size)  # qz-values
    scan = ba.QSpecScan(qzs)
    simulation = ba.SpecularSimulation()
    simulation.setScan(scan)
```

{{< galleryscg >}}
{{< figscg src="/files/simulated/TimeOfFlightReflectometry.png" width="500px" caption="This figure shows the reflectometry signal obtained after running the TOF simulation of the script below." >}}
{{< /galleryscg >}}

{{< highlightfile file="/static/files/python/simulation/ex06_Reflectometry/TimeOfFlightReflectometry.py"  language="python" >}}
